classdef class_connect < handle
    properties
        number
        pointA      = class_node
        pointB      = class_node
        materialID
        material    % material properties
        angle
        lambda
        nodes       = class_node
        elements    = class_element
    end
    methods 
        function rotation(obj)
            
            ABvector = [obj.pointB.x-obj.pointA.x; obj.pointB.z-obj.pointA.z];
            
            if ABvector(1) == 0
                
                if obj.pointB.z > obj.pointA.z
                    
                    obj.angle = 90*(pi/180);
                else
                    obj.angle = 270*(pi/180);
                end
                
            elseif ABvector(2) == 0
                
                if obj.pointB.x > obj.pointA.x
                    
                    obj.angle = 0*(pi/180);
                else
                    obj.angle = 180*(pi/180);
                end
            else
                if ABvector(1) > 0;
                    
                    obj.angle = atan(ABvector(2)/ABvector(1));
                else
                    obj.angle = pi + atan(ABvector(2)/ABvector(1));                    
                end
            end
        end
        function transformation(obj)
                 
            obj.lambda  = [ cos(obj.angle)  0   0               0   sin(obj.angle)  0           0   0               0;
                            0               1   0               0   0               0           0   0               0;
                            0               0   cos(obj.angle)  0   0               0           0   -sin(obj.angle) 0;
                            0               0   0               1   0               0           0   0               0;
                            -sin(obj.angle) 0   0               0   cos(obj.angle)  0           0   0               0;
                            0               0   0               0   0               1           0   0               0;
                            0               0   0               0   0               0           1   0               0;
                            0               0   sin(obj.angle)  0   0               0           0   cos(obj.angle)  0;
                            0               0   0               0   0               0           0   0               1];
        end
    end
end