function [] = cllbck_slider_yAxScale(hObject, eventdata)
    % get the handles and user-defined data
    handles = guidata(hObject);
    
    newval = handles.slider_yAxScale.Value;    % get value from the slider (real number of general slider position by draging)
    newval = round(newval,2);                  % round off this value (on 1 decimal number, e.g. 3.55 => 3.6)
    
    handles.slider_yAxScale.Value   = newval;  % set slider position to rounded off value  
    handles.edit_yAxScale.String    = ['==( ',num2str(newval),' )=='];
    
    if isempty(handles.vecObj_nodes) == 1
     
        % nothing to do
    else
        fce_AxScale(handles);
    end
    
    % save the data to the (global) handles structure
    guidata(hObject, handles);
end
%% notes:

% hObject is an object with properties of UIControl slider_yAxScale in
% class_guiStructure

% guidata(hObject) than load to local variable handles whole structure from
% class_guiStructure