 function [] = fce_AxScale(handles)
                        
jointsXmin          = handles.jointsXmin;
jointsXmax          = handles.jointsXmax;
jointsZmin          = handles.jointsZmin;
jointsZmax          = handles.jointsZmax;
longerAxisLength    = handles.longerAxisLength;
shorterAxisLength   = handles.shorterAxisLength;
xAxScale            = handles.slider_xAxScale.Value;
yAxScale            = handles.slider_yAxScale.Value;
zAxScale            = handles.slider_zAxScale.Value;

xAxisMin = ((jointsXmin+jointsXmax)/2 - ((longerAxisLength/2) + shorterAxisLength/2)/xAxScale);
xAxisMax = ((jointsXmin+jointsXmax)/2 + ((longerAxisLength/2) + shorterAxisLength/2)/xAxScale);

yAxisMin = (-(longerAxisLength/2) - shorterAxisLength/2)/yAxScale;
yAxisMax =  ((longerAxisLength/2) + shorterAxisLength/2)/yAxScale;

zAxisMin = ((jointsZmin+jointsZmax)/2 - ((longerAxisLength/2) + shorterAxisLength/2)/zAxScale);
zAxisMax = ((jointsZmin+jointsZmax)/2 + ((longerAxisLength/2) + shorterAxisLength/2)/zAxScale);

axis([  xAxisMin ,...
        xAxisMax ,...
        yAxisMin ,...
        yAxisMax ,...
        zAxisMin ,...
        zAxisMax ]);
end