function [] = fce_uvwPloting(handles)

vecObj_nodes    = handles.vecObj_nodes;
vecObj_elements = handles.vecObj_elements;
RSLTs           = handles.RSLTs;
dispScale       = str2num(handles.edit_dispScale.String);
onOffwarnDisp   = handles.onOffwarnDisp;

if onOffwarnDisp == 0
    
    for i=1:length(vecObj_nodes)
        
        Uind = find(vecObj_nodes(i).q(1) == RSLTs(:,1));
        Vind = find(vecObj_nodes(i).q(2) == RSLTs(:,1));
        Wind = find(vecObj_nodes(i).q(5) == RSLTs(:,1));
        if isempty(Uind) == 1
            
            Udisp(i) = 0;
        else
            Udisp(i) = RSLTs(Uind,2);
        end
        if isempty(Vind) == 1
            
            Vdisp(i) = 0;
        else
            Vdisp(i) = RSLTs(Vind,2);
        end
        if isempty(Wind) == 1
            
            Wdisp(i) = 0;
        else
            Wdisp(i) = RSLTs(Wind,2);
        end
    end
    i = 0;

    for i=1:length(vecObj_elements)
        
        uzelA = vecObj_elements(i).nodeA;
        uzelB = vecObj_elements(i).nodeB;
        
        plot3(  [uzelA.x + dispScale*(Udisp(uzelA.number)) uzelB.x + dispScale*(Udisp(uzelB.number))],...
                [dispScale*(0 + Vdisp(uzelA.number)) dispScale*(0 + Vdisp(uzelB.number))],...
                [uzelA.z + dispScale*(Wdisp(uzelA.number)) uzelB.z + dispScale*(Wdisp(uzelB.number))],'r-','LineWidth',3)
    end
    i = 0;
else
    % nothing to do
end
end