function [] = fce_ForcesPloting(handles)

vecObj_forces       = handles.vecObj_forces;
MquiverColor        = handles.MquiverColor;
FquiverColor        = handles.FquiverColor;
longerAxis          = handles.longerAxisLength;

vasteness = longerAxis/4;
LineWidth = 2.5;

for i=1:length(vecObj_forces)

    if vecObj_forces(i).angle(1) == -1
        
        if vecObj_forces(i).angle(2) == -1

            if vecObj_forces(i).intensite > 0
                
                quiver3(vecObj_forces(i).node.x,...
                        0,...
                        vecObj_forces(i).node.z,...
                        0,...
                        (vasteness),...
                        0,...
                        'MaxHeadSize',0.8,...
                        'AutoScale','off',...
                        'LineWidth',LineWidth,...
                        'Color',MquiverColor);
                
            elseif vecObj_forces(i).intensite < 0
                
                quiver3(vecObj_forces(i).node.x,...
                        0,...
                        vecObj_forces(i).node.z,...
                        0,...
                        -(vasteness),...
                        0,...
                        'MaxHeadSize',0.8,...
                        'AutoScale','off',...
                        'LineWidth',LineWidth,...
                        'Color',MquiverColor);
            end
        else
            if vecObj_forces(i).intensite > 0
                
                quiver3(vecObj_forces(i).node.x,...
                        0,...
                        vecObj_forces(i).node.z,...
                        (vasteness)*cos(vecObj_forces(i).angle(2)*pi/180),...
                        0,...
                        (vasteness)*sin(vecObj_forces(i).angle(2)*pi/180),...
                        'MaxHeadSize',0.8,...
                        'AutoScale','off',...
                        'LineWidth',LineWidth,...
                        'Color',MquiverColor);
                    
            elseif vecObj_forces(i).intensite < 0
                
                quiver3(vecObj_forces(i).node.x,...
                        0,...
                        vecObj_forces(i).node.z,...
                        -(vasteness)*cos(vecObj_forces(i).angle(2)*pi/180),...
                        0,...
                        -(vasteness)*sin(vecObj_forces(i).angle(2)*pi/180),...
                        'MaxHeadSize',0.8,...
                        'AutoScale','off',...
                        'LineWidth',LineWidth,...
                        'Color',MquiverColor);
            end
        end      
    else
        if vecObj_forces(i).intensite > 0
            
            quiver3(vecObj_forces(i).node.x                                                                     ,...
                0                                                                                           ,...
                vecObj_forces(i).node.z                                                                     ,...
                (vasteness)*cos(vecObj_forces(i).angle(1)*pi/180)*cos(vecObj_forces(i).angle(2)*pi/180) ,...
                (vasteness)*cos(vecObj_forces(i).angle(1)*pi/180)*sin(vecObj_forces(i).angle(2)*pi/180) ,...
                (vasteness)*sin(vecObj_forces(i).angle(1)*pi/180)                                       ,...
                'MaxHeadSize',0.8                                                                           ,...
                'AutoScale','off'                                                                           ,...
                'LineWidth',LineWidth                                                                               ,...
                'Color',FquiverColor);
            
        elseif vecObj_forces(i).intensite < 0
            
            quiver3(vecObj_forces(i).node.x                                                                     ,...
                0                                                                                           ,...
                vecObj_forces(i).node.z                                                                     ,...
                -(vasteness)*cos(vecObj_forces(i).angle(1)*pi/180)*cos(vecObj_forces(i).angle(2)*pi/180) ,...
                -(vasteness)*cos(vecObj_forces(i).angle(1)*pi/180)*sin(vecObj_forces(i).angle(2)*pi/180) ,...
                -(vasteness)*sin(vecObj_forces(i).angle(1)*pi/180)                                       ,...
                'MaxHeadSize',0.8                                                                           ,...
                'AutoScale','off'                                                                           ,...
                'LineWidth',LineWidth                                                                               ,...
                'Color',FquiverColor);
        end
    end
end
i = 0;
end