function [] = fce_connPloting(handles)

vecObj_connections  = handles.vecObj_connections;
%% connections

Ajoints = [vecObj_connections.pointA];
Bjoints = [vecObj_connections.pointB];

plot3(  [Ajoints.x;Bjoints.x],...
        [0;0],...
        [Ajoints.z;Bjoints.z],...
        'k',...
        'LineWidth',1.5);
    
text(   ([Ajoints.x] + [Bjoints.x])/2,... % connection marking
        zeros(length(vecObj_connections),1),...
        ([Ajoints.z] + [Bjoints.z])/2,...
        num2str([vecObj_connections.number].'),...
        'FontSize',25,...
        'Color','k');
end