function [] = fce_nodesPloting(handles)

vecObj_nodes        = handles.vecObj_nodes;
nodesColor          = handles.nodesColor;
shorterAxisLength   = handles.shorterAxisLength;
%% nodes 

cla reset; % reset current plot

plot3(  [vecObj_nodes.x],...
        zeros(length(vecObj_nodes),1),...
        [vecObj_nodes.z],...
        'o',...
        'Color','b',...
        'MarkerSize',8,...
        'MarkerFaceColor',nodesColor);     

% plot deletes all properties of parent axis (but still belong to his
% parent) => the reason why is necessary to set axis properties again
hold    on;
box     on;
grid    on;
grid    minor;
axis    equal;
                
text(   [vecObj_nodes.x]+(0.01*shorterAxisLength),...
        zeros(length(vecObj_nodes),1),...
        [vecObj_nodes.z]-(0.03*shorterAxisLength),...
        num2str([vecObj_nodes.number].'),...
        'FontSize',20,...
        'Color','r');

end